package pl.kaczanowscy.testng;

import java.util.concurrent.atomic.AtomicLong;

/**
 * Will pass both normal and parallel tests.
 * 
 * @author Tomek Kaczanowski
 * 
 */
public class JVMUniqueIdGenerator implements IdGenerator {

	private static final AtomicLong nextId = new AtomicLong(System
			.currentTimeMillis());

	public Long nextId() {
		return nextId.getAndIncrement();
	}
}
