package pl.kaczanowscy.testng.parallel;

import static org.testng.Assert.assertTrue;

import java.util.HashSet;
import java.util.Set;

import org.testng.annotations.Test;

import pl.kaczanowscy.testng.BetterNaiveIdGenerator;
import pl.kaczanowscy.testng.IdGenerator;

/**
 * Sometimes will pass, sometimes will fail.
 * 
 * @author Tomek Kaczanowski
 * 
 */
@Test
public class BetterNaiveIdGeneratorParallelTest {

	private IdGenerator idGen = new BetterNaiveIdGenerator();
	private Set<Long> ids = new HashSet<Long>(100);

	@Test(threadPoolSize = 7, invocationCount = 100)
	public void idsAreUnique() {
		assertTrue(ids.add(idGen.nextId()));
	}
}
